Summary: Leading World Wide Web server
Name: apache-ssl
Distribution: Conectiva Red Hat Linux Marumbi
Vendor: Conectiva
Version: 1.2.6
Release: libc5_2
Group: Networking/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache_1.2.6.tar.gz
Source1: index.html
Source2: poweredby.gif
Source3: httpsd.init
Source4: apache-ssl.log
Source5: apache_1.2.5+ssl_1.13.tar.gz
Source6: make-test-certificate
Source7: thawte-create
Patch: apache_1.2.6-ssl.cnc.patch
Patch1: apache-ssl-dirs.patch
Patch2: apache_1.2.6-1.2.5+ssl_1.13.patch
Copyright: Freely distributable & usable
Packager: Arnaldo Carvalho de Melo <acme@conectiva.com.br>
URL: http://www.apache-ssl.org
BuildRoot: /tmp/apache-root
Requires: SSLeay >= 0.8.1

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used. This one comes with ssl for encrypted
connections.

%changelog

* Tue Mar 31 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>

- backported to parolin (RedHat 4.2)

* Tue Mar 24 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>

- updated to apache 1.2.6

* Sat Mar 21 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>

- apache-ssl!

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>

- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>

- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>

- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>

- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.

%prep
%setup -n apache_1.2.6
%setup -T -D -a 5 -n apache_1.2.6
%patch1
%patch2 -p1
patch < SSLpatch
%patch -p1

%build
cd src
./Configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make EXTRA_LIBS=-C ../support

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/sbin /etc/httpsd/conf /home/httpsd/html /home/httpsd/icons \
	/home/httpsd/cgi-bin /usr/man/man1 /usr/man/man8 /usr/man/man1 \
	/var/log/httpsd /etc/logrotate.d; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m755 src/httpsd $RPM_BUILD_ROOT/usr/sbin
install -s -m755 $RPM_SOURCE_DIR/make-test-certificate $RPM_BUILD_ROOT/usr/sbin
install -s -m755 $RPM_SOURCE_DIR/thawte-create $RPM_BUILD_ROOT/usr/sbin

#install -s -m755 src/httpsd support/htdigest support/htpasswd \
#	$RPM_BUILD_ROOT/usr/sbin

#install -m755 support/dbmmanage.new $RPM_BUILD_ROOT/usr/sbin/dbmmanage

for I in access srm; do
	install -m644 conf/$I.conf-dist $RPM_BUILD_ROOT/etc/httpsd/conf/$I.conf
done

install -m644 conf/mime.types $RPM_BUILD_ROOT/etc/httpsd/conf

install -m644 SSLconf/conf/httpd.conf $RPM_BUILD_ROOT/etc/httpsd/conf/httpd.conf
#install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8/httpsd.8
#install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1/htpasswd.1
install -m644 icons/* $RPM_BUILD_ROOT/home/httpsd/icons
install -m644 htdocs/apache_pb.gif $RPM_BUILD_ROOT/home/httpsd/html

install -m644 $RPM_SOURCE_DIR/poweredby.gif $RPM_SOURCE_DIR/index.html \
	$RPM_BUILD_ROOT/home/httpsd/html

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpsd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpsd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpsd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpsd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpsd
done

install -m644 $RPM_SOURCE_DIR/apache-ssl.log $RPM_BUILD_ROOT/etc/logrotate.d/apache-ssl

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/httpsd
/usr/sbin/make-test-certificate
/usr/sbin/thawte-create
%config /etc/logrotate.d/apache-ssl
%config /etc/httpsd/conf/access.conf
%config /etc/httpsd/conf/srm.conf
%config /etc/httpsd/conf/httpd.conf
%config /etc/httpsd/conf/mime.types
%config /etc/rc.d/init.d/httpsd
%config(missingok) /etc/rc.d/rc3.d/S85httpsd
%config(missingok) /etc/rc.d/rc5.d/S85httpsd
%config(missingok) /etc/rc.d/rc0.d/K15httpsd
%config(missingok) /etc/rc.d/rc1.d/K15httpsd
%config(missingok) /etc/rc.d/rc2.d/K15httpsd
%config(missingok) /etc/rc.d/rc6.d/K15httpsd
%dir /home/httpsd
/home/httpsd/icons
%dir /home/httpsd/cgi-bin
%dir /home/httpsd/html
%config(noreplace) /home/httpsd/html/index.html
/home/httpsd/html/apache_pb.gif
/home/httpsd/html/poweredby.gif
%dir /var/log/httpsd
